#! /bin/sh

# A exécuter après avoir modifié des traductions sous notre répertoire de travail trad/VERSION/fr
# Installe les traductions de MythTV-FR sous trad/ et met à jour (.qm et XML)
VERSION="$1"
if [ -z "$VERSION" ]
then
    echo "Fournissez un numéro de version SVN de MythTV !"
    exit 1
fi

pushd trad/$VERSION >/dev/null || exit 1
for archive in mythtv mythplugins myththemes
do
    cp -a fr/$archive .
done

pushd mythtv/i18n >/dev/null
#perl ../../../../scripts/mythtv/i18n/lrelease.pl fr
sed '/^TRANSLATIONS/d' translate.pro >translate_fr.pro
echo "TRANSLATIONS = mythfrontend_fr.ts" >>translate_fr.pro
lrelease translate_fr.pro
rm -f translate_fr.pro
popd >/dev/null

pushd mythplugins >/dev/null
#perl ../../../scripts/mythplugins/lrelease.pl fr
for fr_ts in $(find . -name *_fr.ts)
do
    pushd $(dirname $fr_ts) >/dev/null
    sed '/^TRANSLATIONS/d' translate.pro >translate_fr.pro
    echo "TRANSLATIONS = $(sed 's@.*/\(myth[^/]*_fr.ts\)@\1@' <<<$fr_ts)" >>translate_fr.pro
    lrelease translate_fr.pro
    rm -f translate_fr.pro
    popd >/dev/null
done
popd >/dev/null

popd >/dev/null
