#! /bin/sh

# Crée les archives traduites
DEVEL=$1
STABLE=${2:-0.22.0}
if [ -z "$DEVEL" ]
then
    echo "Fournissez au moins un numéro de version de SVN MythTV !"
    exit 1
fi

for i in mythtv myththemes mythplugins
do
    rm -fr $i-$STABLE
    cp -a trad/$DEVEL/$i $i-$STABLE
    find $i-$STABLE -name *.xml -exec sed -i '/lang="FR"/d' {} \;
    tar cjf ../../$i-$STABLE.tar.bz2 $i-$STABLE
    rm -fr $i-$STABLE
done
